---
name: Tag
category: Forms
keywords:
  - indicator
  - label
  - label objects
  - organize objects
  - categorize objects
  - categories
  - keywords
---

# Tag

Tags represent a set of interactive, merchant-supplied keywords that help label, organize, and categorize objects. Tags can be added or removed from an object by merchants.

---

## Best Practices

Tags should:

- Be presented close to or within the input control that allows merchants to add and remove tags

---

## Content guidelines

Tags are either automatically generated or are created by merchants. There are no specific content guidelines for creating them.

## Examples

### Default tag

Use to represent a list of attributes on an object that can be added or removed.

```jsx
<Tag>Wholesale</Tag>
```

---

## Related components

- To show the status of an object, [use the badge component](/components/images-and-icons/badge)
